Delivers a queryable overview list of all MarketplaceNotificationListItem
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/notifications \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/notifications"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"eventId": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"severity": 1,
"notificationType": 1,
"isRead": true,
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>",
"referenceId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"reference": "<string>",
"orderCancellationRequestId": "<string>",
"shortMessage": "<string>",
"shopName": "<string>",
"offerTitle": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Marketplace Notification
Delivers a queryable overview list of all MarketplaceNotificationListItem
GET
/
v2
/
marketplace
/
notifications
Delivers a queryable overview list of all MarketplaceNotificationListItem
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Only include items whose CreationDate is after (greater than) this value.
Only include items whose CreationDate is before (less than) this value.
Was this page helpful?